## gweather-gconf

gweather-gconf

## Synopsis

                        GWeatherGConf;
    GWeatherGConf *		   gweather_gconf_new                  (const char *prefix);
    void                gweather_gconf_free                 (GWeatherGConf *ctx);
    GConfClient *		     gweather_gconf_get_client           (GWeatherGConf *ctx);
    WeatherLocation *	  gweather_gconf_get_location         (GWeatherGConf *ctx);
    gchar *			          gweather_gconf_get_full_key         (GWeatherGConf *ctx,
                                                             const gchar *key);
    void                gweather_gconf_set_bool             (GWeatherGConf *ctx,
                                                             const gchar *key,
                                                             gboolean the_bool,
                                                             GError **opt_error);
    void                gweather_gconf_set_int              (GWeatherGConf *ctx,
                                                             const gchar *key,
                                                             gint the_int,
                                                             GError **opt_error);
    void                gweather_gconf_set_string           (GWeatherGConf *ctx,
                                                             const gchar *key,
                                                             const gchar *the_string,
                                                             GError **opt_error);
    gboolean            gweather_gconf_get_bool             (GWeatherGConf *ctx,
                                                             const gchar *key,
                                                             GError **opt_error);
    gint                gweather_gconf_get_int              (GWeatherGConf *ctx,
                                                             const gchar *key,
                                                             GError **opt_error);
    gchar *			          gweather_gconf_get_string           (GWeatherGConf *ctx,
                                                             const gchar *key,
                                                             GError **opt_error);

## Description

## Details

### GWeatherGConf

    typedef struct _GWeatherGConf GWeatherGConf;

### gweather_gconf_new ()

    GWeatherGConf *		   gweather_gconf_new                  (const char *prefix);

`prefix` : |
Returns : |

### gweather_gconf_free ()

    void                gweather_gconf_free                 (GWeatherGConf *ctx);

`ctx` : |

### gweather_gconf_get_client ()

    GConfClient *		     gweather_gconf_get_client           (GWeatherGConf *ctx);

`ctx` : |
Returns : |

### gweather_gconf_get_location ()

    WeatherLocation *	  gweather_gconf_get_location         (GWeatherGConf *ctx);

`ctx` : |
Returns : |

### gweather_gconf_get_full_key ()

    gchar *			          gweather_gconf_get_full_key         (GWeatherGConf *ctx,
                                                             const gchar *key);

`ctx` : |
`key` : |
Returns : |

### gweather_gconf_set_bool ()

    void                gweather_gconf_set_bool             (GWeatherGConf *ctx,
                                                             const gchar *key,
                                                             gboolean the_bool,
                                                             GError **opt_error);

`ctx` : |
`key` : |
`the_bool` : |
`opt_error` : |

### gweather_gconf_set_int ()

    void                gweather_gconf_set_int              (GWeatherGConf *ctx,
                                                             const gchar *key,
                                                             gint the_int,
                                                             GError **opt_error);

`ctx` : |
`key` : |
`the_int` : |
`opt_error` : |

### gweather_gconf_set_string ()

    void                gweather_gconf_set_string           (GWeatherGConf *ctx,
                                                             const gchar *key,
                                                             const gchar *the_string,
                                                             GError **opt_error);

`ctx` : |
`key` : |
`the_string` : |
`opt_error` : |

### gweather_gconf_get_bool ()

    gboolean            gweather_gconf_get_bool             (GWeatherGConf *ctx,
                                                             const gchar *key,
                                                             GError **opt_error);

`ctx` : |
`key` : |
`opt_error` : |
Returns : |

### gweather_gconf_get_int ()

    gint                gweather_gconf_get_int              (GWeatherGConf *ctx,
                                                             const gchar *key,
                                                             GError **opt_error);

`ctx` : |
`key` : |
`opt_error` : |
Returns : |

### gweather_gconf_get_string ()

    gchar *			          gweather_gconf_get_string           (GWeatherGConf *ctx,
                                                             const gchar *key,
                                                             GError **opt_error);

`ctx` : |
`key` : |
`opt_error` : |
Returns : |